package com.ipu.logicflow.server.biz.logic.listener;



import com.ai.ipu.basic.log.ILogger;
import com.ai.ipu.basic.log.IpuLoggerFactory;
import com.alibaba.nacos.api.config.listener.AbstractListener;
import com.ipu.logicflow.server.util.LogicFlowConfig;

public class FlowModelListener extends AbstractListener {
	private static final ILogger LOG = IpuLoggerFactory.createLogger(FlowModelListener.class);
	
	@Override
	public void receiveConfigInfo(String configInfo) {
		try {
			LOG.debug(">>>>>>>>>>>>>>>>>>>new config from nacos:" + configInfo);
			LogicFlowConfig.registerLogicModel(configInfo);

		} catch (Exception e) {
			LOG.error("receiveConfigInfo error:", e);
		}
	}

}