package com.ipu.logicflow.server.biz.logic.service.impl;

import org.jsoup.helper.StringUtil;
import org.springframework.stereotype.Service;

import com.ipu.logicflow.server.biz.logic.service.QueryService;
import com.ipu.logicflow.server.util.LogicFlowConfig;

@Service
public class QueryServiceImpl implements QueryService {

	@Override
	public Object getFlowMap(String logicName) throws Exception {
		return StringUtil.isBlank(logicName)?LogicFlowConfig.getFlowPathMap():LogicFlowConfig.getFlowPathMap().get(logicName);
	}

	@Override
	public Object getModelMap(String logicName) throws Exception {
		return StringUtil.isBlank(logicName)?LogicFlowConfig.getModelPathMap():LogicFlowConfig.getModelPathMap().get(logicName);
	}

}
