package com.ipu.logicflow.server.biz.logic.control;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.ipu.logicflow.server.biz.logic.service.QueryService;

@Controller
@RequestMapping("/query")
public class LogicQueryController {

	@Autowired
    private QueryService queryService;
	
	@ResponseBody
    @RequestMapping("/getFlow")
    public Object getFlow(@RequestBody(required=false) String flowName) throws Exception {
        System.out.println("input="+flowName);    
        Object result = queryService.getFlowMap(flowName);
        return result;
    }
	
	@ResponseBody
    @RequestMapping("/getModel")
    public Object getModel(@RequestBody(required=false) String ModelName) throws Exception {
        System.out.println("input="+ModelName);    
        Object result = queryService.getModelMap(ModelName);
        return result;
    }
}
